Name: eu-strip
URL: https://sourceware.org/elfutils/
Version: 0.158
Security Critical: no
License: LGPL 3
License File: NOT_SHIPPED

Description:

Patched eu-strip from elfutils.

Build instructions (on Trusty; note that this will build the
Ubuntu-patched version of elfutils):
$ mkdir elfutils
$ cd elfutils
$ apt-get source elfutils
$ cd elfutils-0.158
[ Edit libelf/elf_end.c and remove the free() on line 164. ]
$ ./configure
$ make
$ gcc -std=gnu99 -Wall -Wshadow -Wunused -Wextra -fgnu89-inline
  -Wformat=2 -Werror -g -O2 -Wl,-rpath-link,libelf:libdw -o eu-strip
  src/strip.o libebl/libebl.a libelf/libelf.a lib/libeu.a -ldl
$ eu-strip ./eu-strip  # Keep the binary small, please.
